View Issue Details

IDProjectCategoryView StatusLast Update
0003993SymmetricDSImprovementpublic2019-10-11 12:00
Reporterjosh-a-hicksAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.10.0 
Target Version3.10.5Fixed in Version3.10.5 
Summary0003993: Truncate host name to fit into 60 char database limit
DescriptionIf the host name is larger than the 60 character limit, truncate it so that it will fit and not stop startup of the node. This hostname is not used directly for any replication. This is happening with more cloud deployments as the hostnames are virtual and expanding beyond the 60 chars.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 e9a7af81

2019-10-11 11:00:36

admin

Details Diff
0003993: Truncate host name to fit into 60 char database limit
0003993
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeHost.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File

Issue History

Date Modified Username Field Change
2019-06-11 09:36 josh-a-hicks New Issue
2019-06-11 09:36 josh-a-hicks Status new => assigned
2019-06-11 09:36 josh-a-hicks Assigned To => josh-a-hicks
2019-06-24 13:45 elong Target Version 3.10.3 => 3.10.4
2019-08-09 15:41 elong Target Version 3.10.4 => 3.10.5
2019-10-11 11:00 elong Assigned To josh-a-hicks => elong
2019-10-11 11:00 elong Status assigned => resolved
2019-10-11 11:00 elong Resolution open => fixed
2019-10-11 11:00 elong Fixed in Version => 3.10.5
2019-10-11 11:00 elong Summary Truncate host name to fit into 50 char database limit => Truncate host name to fit into 60 char database limit
2019-10-11 11:00 elong Description Updated View Revisions
2019-10-11 12:00 admin Changeset attached => SymmetricDS 3.10 e9a7af81